summaryrefslogtreecommitdiff
path: root/pcr/openrc-net/syncthing.initd
diff options
context:
space:
mode:
authorfreaj <freaj@riseup.net>2015-03-30 10:08:17 +0200
committerfreaj <freaj@riseup.net>2015-03-30 10:08:17 +0200
commit41c9dc8729840f45f174a14a08703e04d1f5717e (patch)
treefeddfb083b443556f04bac84c6519d356e061854 /pcr/openrc-net/syncthing.initd
parent7f0385668a7eb0caf6a74f13d10c1fda5c7ad86d (diff)
downloadabslibre-41c9dc8729840f45f174a14a08703e04d1f5717e.tar.gz
abslibre-41c9dc8729840f45f174a14a08703e04d1f5717e.tar.bz2
abslibre-41c9dc8729840f45f174a14a08703e04d1f5717e.zip
openrc-net: add new package to [pcr]
Diffstat (limited to 'pcr/openrc-net/syncthing.initd')
-rw-r--r--pcr/openrc-net/syncthing.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/pcr/openrc-net/syncthing.initd b/pcr/openrc-net/syncthing.initd
new file mode 100644
index 000000000..1e5f9c678
--- /dev/null
+++ b/pcr/openrc-net/syncthing.initd
@@ -0,0 +1,22 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting syncthing"
+ start-stop-daemon --start --make-pidfile --pidfile /run/syncthing.pid \
+ --background --user ${SYNCTHING_USER} --name syncthing \
+ --exec /usr/bin/syncthing -- -gui-address=${SYNCTHING_ADDRESS} ${SYNCTHING_ARGS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping syncthing"
+ start-stop-daemon --stop --pidfile /run/syncthing.pid --user ${SYNCTHING_USER}
+ eend $?
+}